Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.springframework.expression.spel
Enum SpelMessage.Kind

    java.lang.Object
      java.lang.Enum<SpelMessage.Kind>
          org.springframework.expression.spel.SpelMessage.Kind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SpelMessage.Kind>

Enclosing class:
  SpelMessage

    public static enum SpelMessage.Kind

extends java.lang.Enum<SpelMessage.Kind>

Enum Constant Summary
`ERROR`
`INFO`
`WARNING`

Method Summary
`static SpelMessage.Kind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SpelMessage.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INFO

    public static final SpelMessage.Kind INFO

### WARNING

    public static final SpelMessage.Kind WARNING

### ERROR

    public static final SpelMessage.Kind ERROR

Method Detail

### values

    public static SpelMessage.Kind[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SpelMessage.Kind c : SpelMessage.Kind.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SpelMessage.Kind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD